AnsweredAssumed Answered

Web Services 2012 SP1 on Windows Server 2012 R2 install failure

Question asked by fdeschenes on Mar 18, 2015
Latest reply on Mar 19, 2015 by dng

Hello,

I'm building a single server demo/proof-of-concept PI system on a Windows Server 2012 R2. Already installed and tested PI Server 2012, AF Server & Client 2012, OLEDB Provider 2010 R3, OLEDB 2012, etc and now I'm trying to install Web Services 2012 SP1. Everything worked great until it tried to install the 64bit version of Web Services. See the log below. Any thoughts? I've rebooted and retried several times.

Thanks so much for the help

Frederick.


C:\PI Web Services 2012 SP1Master.log opened for logging at Thu Mar 19 02:20:14 2015
INI file for installation: C:\Users\fdesch\AppData\Local\Temp\setup.ini
Current working directory: C:\Users\fdesch\AppData\Local\Temp
Number of command line arguments: 1
arg[0]: C:\Users\fdesch\AppData\Local\Temp\Setup.exe
PROCESSOR_ARCHITECTURE_AMD64 detected.
ProductType is NOT Windows Server Core.
Windows version 6.2 detected.
OS Version Returned: 0x2000000d
Setup.exe version 1, 0, 2, 50
SetupUtils.dll version 1, 0, 2, 43
--- >>> Setup Module 1
Setup module dotnet35Setup is check for install only (CHECKFORINSTALLEDONLY).
Loading: 1 (C:\Users\fdesch\AppData\Local\Temp\dotnet35Setup.dll)
C:\Users\fdesch\AppData\Local\Temp\dotnet35Setup.dll version 1.0.1.1
dotnet35Setup> Using setup kit name dotnetfx35setup.exe
SetupUtils> Unable to find version of dotnet35Setup (Section 1) in C:\pisetup.ini
dotnet35Setup> Failed to retrieve setup module version for dotnet35Setup. Assume 3.5.21022.
dotnet35Setup> The version of the .Net Framework to be installed is 3.5.21022
dotnet35Setup> The version of the .Net Framework on the destination machine is 3.5.30729
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> NewVer3 < InstalledVer3...returning -1
Module (Microsoft .NET3.5 Framework v3.5.21022) already installed.
--- >>> Setup Module 2
Setup module dotnet40Setup is check for install only (CHECKFORINSTALLEDONLY).
Loading: 2 (C:\Users\fdesch\AppData\Local\Temp\dotnet40Setup.dll)
C:\Users\fdesch\AppData\Local\Temp\dotnet40Setup.dll version 1.0.0.0
SetupUtils> Unable to find version of dotnet40Setup (Section 2) in C:\pisetup.ini
dotnet40Setup> Failed to retrieve setup module version for dotnet40Setup. Assume 4.0.30319.
dotnet40Setup> The version of the .Net Framework to be installed is 4.0.30319
dotnet40Setup> The version of the .Net Framework on the destination machine is 4.5.51641
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> NewVer2 < InstalledVer2...returning -1
Module (Microsoft .NET Framework 4 Setup v4.0.30319) already installed.
--- >>> Setup Module 3
Module (OSIsoft MS Runtime Redistributables v3.1.8) already installed.
--- >>> Setup Module 4
Module (OSIsoft MS Runtime Redistributables x64 v3.1.1) already installed.
--- >>> Setup Module 5
Loading: 5 (C:\Users\fdesch\AppData\Local\Temp\MSVC9SP1x86Redistrib.dll)
C:\Users\fdesch\AppData\Local\Temp\MSVC9SP1x86Redistrib.dll version 1, 0, 0, 1
CompareVersions> Versions identical...returning 0
MSVC9SP1x86Redistrib> The installed version 9.0.30729.6161 is the same as the new version to install 9.0.30729.6161 - returning TRUE.
Unable to obtain display name for Setup Module 5 (MSVC9SP1x86Redistrib).
MSVC9SP1x86Redistrib> The version of the runtime redistributable to be installed is 9.0.30729.6161
Module (MSVC9SP1x86Redistrib v9.0.30729.6161) already installed.
--- >>> Setup Module 6
Loading: 6 (C:\Users\fdesch\AppData\Local\Temp\MSVC9SP1x64Redistrib.dll)
C:\Users\fdesch\AppData\Local\Temp\MSVC9SP1x64Redistrib.dll version 1, 0, 0, 1
CompareVersions> Versions identical...returning 0
MSVC9SP1x64Redistrib> The installed version 9.0.30729.6161 is the same as the new version to install 9.0.30729.6161 - returning TRUE.
Unable to obtain display name for Setup Module 6 (MSVC9SP1x64Redistrib).
MSVC9SP1x64Redistrib> The version of the runtime redistributable to be installed is 9.0.30729.6161
Module (MSVC9SP1x64Redistrib v9.0.30729.6161) already installed.
--- >>> Setup Module 7
Loading: 7 (C:\Users\fdesch\AppData\Local\Temp\MSRuntimesSetupVS2010SP1_x86.dll)
C:\Users\fdesch\AppData\Local\Temp\MSRuntimesSetupVS2010SP1_x86.dll version 1, 0, 0, 0
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> Versions identical...returning 0
MSRuntimesSetupVS2010SP1_x86> The installed version 10.0.40219 is the same as the new version to install 10.0.40219 - returning TRUE.
Module (Microsoft Visual C++ 2010 x86 Redistributable - 10.0.40219 v10.0.40219) already installed.
--- >>> Setup Module 8
Loading: 8 (C:\Users\fdesch\AppData\Local\Temp\MSRuntimesSetupVS2010SP1_x64.dll)
C:\Users\fdesch\AppData\Local\Temp\MSRuntimesSetupVS2010SP1_x64.dll version 1, 0, 0, 0
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> Versions identical...returning 0
MSRuntimesSetupVS2010SP1_x64> The installed version 10.0.40219 is the same as the new version to install 10.0.40219 - returning TRUE.
Module (Microsoft Visual C++ 2010 x64 Redistributable - 10.0.40219 v10.0.40219) already installed.
--- >>> Setup Module 9
CompareVersions> NewVer3 < InstalledVer3...returning -1
IsMSIInstalled> The installed version 1.4.4.484 is newer than the version to install 1.4.2.445 - returning TRUE.
Module (PI Software Development Kit (PI SDK) v1.4.2.445) already installed.
--- >>> Setup Module 10
CompareVersions> NewVer1 < InstalledVer1...returning -1
IsMSIInstalled> The installed version 4.3.0.32 is newer than the version to install 3.4.380.79 - returning TRUE.
Module (PI Buffer Subsystem v3.4.380.79) already installed.
--- >>> Setup Module 11
CompareVersions> NewVer3 < InstalledVer3...returning -1
IsMSIInstalled> The installed version 1.4.4.484 is newer than the version to install 1.4.2.445 - returning TRUE.
Module (PI Software Development Kit 64-bit (PI SDK) v1.4.2.445) already installed.
--- >>> Setup Module 12
[UNSUPPORTED_OPERATING_SYSTEMS]: 12 = X64
Setup module AFClient_x86_2012.msi is not supported on UNKNOWN_X64 operating systems.
CompareVersions> NewVer2 < InstalledVer2...returning -1
IsMSIInstalled> The installed version 2.6.2.6558 is newer than the version to install 2.5.2.5396 - returning TRUE.
Module (PI AF Client 2012 v2.5.2.5396) already installed.
--- >>> Setup Module 13
CompareVersions> NewVer2 < InstalledVer2...returning -1
IsMSIInstalled> The installed version 2.6.2.6558 is newer than the version to install 2.5.2.5396 - returning TRUE.
Module (PI AF Client 2012 (64-bit) v2.5.2.5396) already installed.
--- >>> Setup Module 14
Module (PI OLEDB Provider 2010 R3 v3.3.1.2) already installed.
--- >>> Setup Module 15
Module (PI OLEDB Provider 2010 R3 (64-bit) v3.3.1.2) already installed.
--- >>> Setup Module 16
Module (PI OLEDB Enterprise 2012 v1.3.1.5) already installed.
--- >>> Setup Module 17
Module (PI OLEDB Enterprise 2012 (64-bit) v1.3.1.5) already installed.
--- >>> Setup Module 18
[UNSUPPORTED_OPERATING_SYSTEMS]: 18 = X64
Setup module PI Web Services.msi is not supported on UNKNOWN_X64 operating systems.
IsMSIInstalled> Unable to obtain Related Products for Upgrade Code {1BE1D11B-2953-4682-B11D-981A64EC7B00}. Returned error: 259
Module (PI Web Services 2012 SP1 v1.3.1.0) is not installed, but operating system is also not supported - skip installation.
--- >>> Setup Module 19
IsMSIInstalled> Unable to obtain Related Products for Upgrade Code {A07F6E76-F750-45C2-983A-87403EB7F796}. Returned error: 259
Module (PI Web Services 2012 SP1 (64-bit) v1.3.1.0) will be installed.
----------------------
Completed Initialization checks for all modules.
=============================
==>> Begin InstallThread <<==
=============================
Looking for initialization file at: C:\pisetup.ini
Found [SETUPKIT] NAME = PI Web Services 2012 SP1
Installation started at Thu Mar 19 02:20:20 2015
--- >>> Setup Module 1
Loading: 1 (C:\Users\fdesch\AppData\Local\Temp\dotnet35Setup.dll)
dotnet35Setup> Using setup kit name dotnetfx35setup.exe
SetupUtils> Unable to find version of dotnet35Setup (Section 1) in C:\pisetup.ini
dotnet35Setup> Failed to retrieve setup module version for dotnet35Setup. Assume 3.5.21022.
dotnet35Setup> The version of the .Net Framework to be installed is 3.5.21022
dotnet35Setup> The version of the .Net Framework on the destination machine is 3.5.30729
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> NewVer3 < InstalledVer3...returning -1
Setup Module 1 (dotnet35Setup) is already installed.
--- >>> Setup Module 2
Loading: 2 (C:\Users\fdesch\AppData\Local\Temp\dotnet40Setup.dll)
SetupUtils> Unable to find version of dotnet40Setup (Section 2) in C:\pisetup.ini
dotnet40Setup> Failed to retrieve setup module version for dotnet40Setup. Assume 4.0.30319.
dotnet40Setup> The version of the .Net Framework to be installed is 4.0.30319
dotnet40Setup> The version of the .Net Framework on the destination machine is 4.5.51641
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> NewVer2 < InstalledVer2...returning -1
Setup Module 2 (dotnet40Setup) is already installed.
--- >>> Setup Module 3
Setup Module 3 (MSRuntimes.msi) is already installed.
--- >>> Setup Module 4
Setup Module 4 (MSRuntimes_x64.msi) is already installed.
--- >>> Setup Module 5
Loading: 5 (C:\Users\fdesch\AppData\Local\Temp\MSVC9SP1x86Redistrib.dll)
CompareVersions> Versions identical...returning 0
MSVC9SP1x86Redistrib> The installed version 9.0.30729.6161 is the same as the new version to install 9.0.30729.6161 - returning TRUE.
Setup Module 5 (MSVC9SP1x86Redistrib) is already installed.
--- >>> Setup Module 6
Loading: 6 (C:\Users\fdesch\AppData\Local\Temp\MSVC9SP1x64Redistrib.dll)
CompareVersions> Versions identical...returning 0
MSVC9SP1x64Redistrib> The installed version 9.0.30729.6161 is the same as the new version to install 9.0.30729.6161 - returning TRUE.
Setup Module 6 (MSVC9SP1x64Redistrib) is already installed.
--- >>> Setup Module 7
Loading: 7 (C:\Users\fdesch\AppData\Local\Temp\MSRuntimesSetupVS2010SP1_x86.dll)
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> Versions identical...returning 0
MSRuntimesSetupVS2010SP1_x86> The installed version 10.0.40219 is the same as the new version to install 10.0.40219 - returning TRUE.
Setup Module 7 (MSRuntimesSetupVS2010SP1_x86) is already installed.
--- >>> Setup Module 8
Loading: 8 (C:\Users\fdesch\AppData\Local\Temp\MSRuntimesSetupVS2010SP1_x64.dll)
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> Versions identical...returning 0
MSRuntimesSetupVS2010SP1_x64> The installed version 10.0.40219 is the same as the new version to install 10.0.40219 - returning TRUE.
Setup Module 8 (MSRuntimesSetupVS2010SP1_x64) is already installed.
--- >>> Setup Module 9
CompareVersions> NewVer3 < InstalledVer3...returning -1
IsMSIInstalled> The installed version 1.4.4.484 is newer than the version to install 1.4.2.445 - returning TRUE.
Setup Module 9 (pisdk.msi) is already installed.
--- >>> Setup Module 10
CompareVersions> NewVer1 < InstalledVer1...returning -1
IsMSIInstalled> The installed version 4.3.0.32 is newer than the version to install 3.4.380.79 - returning TRUE.
Setup Module 10 (pibufss.msi) is already installed.
--- >>> Setup Module 11
CompareVersions> NewVer3 < InstalledVer3...returning -1
IsMSIInstalled> The installed version 1.4.4.484 is newer than the version to install 1.4.2.445 - returning TRUE.
Setup Module 11 (pisdk_x64.msi) is already installed.
--- >>> Setup Module 12
The Setup Module 12 (C:\Users\fdesch\AppData\Local\Temp\AFClient_x86_2012.msi) is not supported on UNKNOWN_X64 operating systems. Skipping.
--- >>> Setup Module 13
CompareVersions> NewVer2 < InstalledVer2...returning -1
IsMSIInstalled> The installed version 2.6.2.6558 is newer than the version to install 2.5.2.5396 - returning TRUE.
Setup Module 13 (AFClient_x64_2012.msi) is already installed.
--- >>> Setup Module 14
Setup Module 14 (PIOLEDB.msi) is already installed.
--- >>> Setup Module 15
Setup Module 15 (PIOLEDB64.msi) is already installed.
--- >>> Setup Module 16
Setup Module 16 (PIOLEDBEnterprise.msi) is already installed.
--- >>> Setup Module 17
Setup Module 17 (PIOLEDBEnterprise64.msi) is already installed.
--- >>> Setup Module 18
The Setup Module 18 (C:\Users\fdesch\AppData\Local\Temp\PI Web Services.msi) is not supported on UNKNOWN_X64 operating systems. Skipping.
--- >>> Setup Module 19
IsMSIInstalled> Unable to obtain Related Products for Upgrade Code {A07F6E76-F750-45C2-983A-87403EB7F796}. Returned error: 259
Calling InstallModuleAndReturnErrorCode for Setup Module 19 (PI Web Services 64.msi) at Thu Mar 19 02:20:21 2015
SetRunOnceKey> Setting Run Key to C:\Users\fdesch\AppData\Local\Temp\Setup.exe 19
SetRunOnceKey> Closing Run Key and returning TRUE
PI Web Services 64> Installation Command is C:\Windows\system32\msiexec.exe /i "C:\Users\fdesch\AppData\Local\Temp\PI Web Services 64.msi" /l*v "C:\SetupPI Web Services 64.log"
PI Web Services 64> Setting reboot flag to false
SetupUtils> Copying C:\SetupPI Web Services 64.log to E:\Program Files (x86)\OSIsoft\PIPC\dat\SetupPI Web Services 64.log
InstallModuleAndReturnErrorCode FAILED at Thu Mar 19 02:20:24 2015. Installation error for Setup Module 19 (PI Web Services 64.msi):[1603] Fatal error during installation.

InstallThread will terminate.
=============================
==>>  End InstallThread  <<==
=============================
--- >>> Setup Module 1
Setup module dotnet35Setup is check for install only (CHECKFORINSTALLEDONLY).
Loading: 1 (C:\Users\fdesch\AppData\Local\Temp\dotnet35Setup.dll)
C:\Users\fdesch\AppData\Local\Temp\dotnet35Setup.dll version 1.0.1.1
dotnet35Setup> Using setup kit name dotnetfx35setup.exe
SetupUtils> Unable to find version of dotnet35Setup (Section 1) in C:\pisetup.ini
dotnet35Setup> Failed to retrieve setup module version for dotnet35Setup. Assume 3.5.21022.
dotnet35Setup> The version of the .Net Framework to be installed is 3.5.21022
dotnet35Setup> The version of the .Net Framework on the destination machine is 3.5.30729
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> NewVer3 < InstalledVer3...returning -1
Module (Microsoft .NET3.5 Framework v3.5.21022) already installed.
--- >>> Setup Module 2
Setup module dotnet40Setup is check for install only (CHECKFORINSTALLEDONLY).
Loading: 2 (C:\Users\fdesch\AppData\Local\Temp\dotnet40Setup.dll)
C:\Users\fdesch\AppData\Local\Temp\dotnet40Setup.dll version 1.0.0.0
SetupUtils> Unable to find version of dotnet40Setup (Section 2) in C:\pisetup.ini
dotnet40Setup> Failed to retrieve setup module version for dotnet40Setup. Assume 4.0.30319.
dotnet40Setup> The version of the .Net Framework to be installed is 4.0.30319
dotnet40Setup> The version of the .Net Framework on the destination machine is 4.5.51641
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> NewVer2 < InstalledVer2...returning -1
Module (Microsoft .NET Framework 4 Setup v4.0.30319) already installed.
--- >>> Setup Module 3
Module (OSIsoft MS Runtime Redistributables v3.1.8) already installed.
--- >>> Setup Module 4
Module (OSIsoft MS Runtime Redistributables x64 v3.1.1) already installed.
--- >>> Setup Module 5
Loading: 5 (C:\Users\fdesch\AppData\Local\Temp\MSVC9SP1x86Redistrib.dll)
C:\Users\fdesch\AppData\Local\Temp\MSVC9SP1x86Redistrib.dll version 1, 0, 0, 1
CompareVersions> Versions identical...returning 0
MSVC9SP1x86Redistrib> The installed version 9.0.30729.6161 is the same as the new version to install 9.0.30729.6161 - returning TRUE.
Unable to obtain display name for Setup Module 5 (MSVC9SP1x86Redistrib).
MSVC9SP1x86Redistrib> The version of the runtime redistributable to be installed is 9.0.30729.6161
Module (MSVC9SP1x86Redistrib v9.0.30729.6161) already installed.
--- >>> Setup Module 6
Loading: 6 (C:\Users\fdesch\AppData\Local\Temp\MSVC9SP1x64Redistrib.dll)
C:\Users\fdesch\AppData\Local\Temp\MSVC9SP1x64Redistrib.dll version 1, 0, 0, 1
CompareVersions> Versions identical...returning 0
MSVC9SP1x64Redistrib> The installed version 9.0.30729.6161 is the same as the new version to install 9.0.30729.6161 - returning TRUE.
Unable to obtain display name for Setup Module 6 (MSVC9SP1x64Redistrib).
MSVC9SP1x64Redistrib> The version of the runtime redistributable to be installed is 9.0.30729.6161
Module (MSVC9SP1x64Redistrib v9.0.30729.6161) already installed.
--- >>> Setup Module 7
Loading: 7 (C:\Users\fdesch\AppData\Local\Temp\MSRuntimesSetupVS2010SP1_x86.dll)
C:\Users\fdesch\AppData\Local\Temp\MSRuntimesSetupVS2010SP1_x86.dll version 1, 0, 0, 0
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> Versions identical...returning 0
MSRuntimesSetupVS2010SP1_x86> The installed version 10.0.40219 is the same as the new version to install 10.0.40219 - returning TRUE.
Module (Microsoft Visual C++ 2010 x86 Redistributable - 10.0.40219 v10.0.40219) already installed.
--- >>> Setup Module 8
Loading: 8 (C:\Users\fdesch\AppData\Local\Temp\MSRuntimesSetupVS2010SP1_x64.dll)
C:\Users\fdesch\AppData\Local\Temp\MSRuntimesSetupVS2010SP1_x64.dll version 1, 0, 0, 0
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> Versions identical...returning 0
MSRuntimesSetupVS2010SP1_x64> The installed version 10.0.40219 is the same as the new version to install 10.0.40219 - returning TRUE.
Module (Microsoft Visual C++ 2010 x64 Redistributable - 10.0.40219 v10.0.40219) already installed.
--- >>> Setup Module 9
CompareVersions> NewVer3 < InstalledVer3...returning -1
IsMSIInstalled> The installed version 1.4.4.484 is newer than the version to install 1.4.2.445 - returning TRUE.
Module (PI Software Development Kit (PI SDK) v1.4.2.445) already installed.
--- >>> Setup Module 10
CompareVersions> NewVer1 < InstalledVer1...returning -1
IsMSIInstalled> The installed version 4.3.0.32 is newer than the version to install 3.4.380.79 - returning TRUE.
Module (PI Buffer Subsystem v3.4.380.79) already installed.
--- >>> Setup Module 11
CompareVersions> NewVer3 < InstalledVer3...returning -1
IsMSIInstalled> The installed version 1.4.4.484 is newer than the version to install 1.4.2.445 - returning TRUE.
Module (PI Software Development Kit 64-bit (PI SDK) v1.4.2.445) already installed.
--- >>> Setup Module 12
[UNSUPPORTED_OPERATING_SYSTEMS]: 12 = X64
Setup module AFClient_x86_2012.msi is not supported on UNKNOWN_X64 operating systems.
CompareVersions> NewVer2 < InstalledVer2...returning -1
IsMSIInstalled> The installed version 2.6.2.6558 is newer than the version to install 2.5.2.5396 - returning TRUE.
Module (PI AF Client 2012 v2.5.2.5396) already installed.
--- >>> Setup Module 13
CompareVersions> NewVer2 < InstalledVer2...returning -1
IsMSIInstalled> The installed version 2.6.2.6558 is newer than the version to install 2.5.2.5396 - returning TRUE.
Module (PI AF Client 2012 (64-bit) v2.5.2.5396) already installed.
--- >>> Setup Module 14
Module (PI OLEDB Provider 2010 R3 v3.3.1.2) already installed.
--- >>> Setup Module 15
Module (PI OLEDB Provider 2010 R3 (64-bit) v3.3.1.2) already installed.
--- >>> Setup Module 16
Module (PI OLEDB Enterprise 2012 v1.3.1.5) already installed.
--- >>> Setup Module 17
Module (PI OLEDB Enterprise 2012 (64-bit) v1.3.1.5) already installed.
--- >>> Setup Module 18
[UNSUPPORTED_OPERATING_SYSTEMS]: 18 = X64
Setup module PI Web Services.msi is not supported on UNKNOWN_X64 operating systems.
IsMSIInstalled> Unable to obtain Related Products for Upgrade Code {1BE1D11B-2953-4682-B11D-981A64EC7B00}. Returned error: 259
Module (PI Web Services 2012 SP1 v1.3.1.0) is not installed, but operating system is also not supported - skip installation.
--- >>> Setup Module 19
IsMSIInstalled> Unable to obtain Related Products for Upgrade Code {A07F6E76-F750-45C2-983A-87403EB7F796}. Returned error: 259
Module (PI Web Services 2012 SP1 (64-bit) v1.3.1.0) will be installed.
----------------------
Completed Verification checks for all modules.
InstallThread Error 1603. Installation of PI Web Services 2012 SP1 has failed.
The setup wrapper program is exiting.

Outcomes